io.vertx.rxjava.ext.web.handler

## Class TimeoutHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.TimeoutHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class TimeoutHandler
      extends Object
      implements Handler<RoutingContext>

  Handler that will timeout requests if the response has not been written after a certain time. Timeout requests will be ended with an HTTP status code `503`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<TimeoutHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeoutHandler(TimeoutHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimeoutHandler` | `create()` Create a handler
    `static TimeoutHandler` | `create(long timeout)` Create a handler
    `static TimeoutHandler` | `create(long timeout, int errorCode)` Create a handler
    `TimeoutHandler` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static TimeoutHandler` | `newInstance(TimeoutHandler arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<TimeoutHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### TimeoutHandler

          public TimeoutHandler(TimeoutHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public TimeoutHandler getDelegate()

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `arg0` - the event to handle

    - #### create

          public static TimeoutHandler create()

      Create a handler
      Returns:
        the handler

    - #### create

          public static TimeoutHandler create(long timeout)

      Create a handler
      Parameters:
        `timeout` - the timeout, in ms
      Returns:
        the handler

    - #### create

          public static TimeoutHandler create(long timeout,
                                              int errorCode)

      Create a handler
      Parameters:
        `timeout` - the timeout, in ms
        `errorCode` -
      Returns:
        the handler

    - #### newInstance

          public static TimeoutHandler newInstance(TimeoutHandler arg)

Copyright © 2017. All rights reserved.